<div class="">
    <div class="perfil">
        <div class="row">
            <div class="col-12">
                <div class="back">
                    <a routerLink="/home"><i class="fas fa-arrow-left"></i></a>
                    <h3 class="title-3">Atualizar Perfil de Professor(a) Orientador(a)</h3>
                </div>
                
                <nav>
                    <div class="nav nav-tabs nav-tab-orientador" id="tab-perfil" role="tablist">
                        <a class="nav-item nav-link active" id="nav-cadastro-tab" data-toggle="tab" href="#nav-cadastro"
                            role="tab" aria-controls="nav-cadastro" aria-selected="true"><i
                                class="fas fa-user-edit"></i>
                                <h2 class="title-2">Complete Seu Cadastro</h2>
                            </a>
                        <a class="nav-item nav-link" id="nav-grupoPesquisa-tab" data-toggle="tab"
                            href="#nav-grupoPesquisa" role="tab" aria-controls="nav-grupoPesquisa"
                            aria-selected="false"><i class="fas fa-users"></i>
                            <h2 class="title-2">Vínculo Do Professor(a) <br> Orientador(a) Com Grupos de Pesquisa</h2>
                        </a>
                    </div>
                </nav>

                <div class="tab-content" id="nav-tabConteudo">
                    <div class="tab-pane fade show active" id="nav-cadastro" role="tabpanel"
                        aria-labelledby="nav-home-tab">
                        <form [formGroup]="formOrientador" (ngSubmit)="doSubmit()">
                            <div class="header-title">
                                <button type="button" class="btn info" data-toggle="tooltip" data-placement="bottom"
                                    title="Nesta tela, verifique os seus dados e complete o seu cadastro de orientador(a)">
                                    <i class="fas fa-info-circle"></i>
                                </button>
                            </div>
                            <fieldset class="completar-cadastro">
                                <div class="row">
                                    <div class="col-md-6 mb-3">
                                        <label for="name">Nome</label>
                                        <input type="text" class="form-control" disabled="" id="name"
                                            placeholder="{{ professor?.Nome }}">
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <label for="funcional">Número de funcional</label>
                                        <!-- Input Numero Funcional -->
                                        <input formControlName="numeroFuncional" type="text" class="form-control" id="funcional"
                                            placeholder="{{ professor?.NumeroFuncional }}" disabled="">
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label for="email" class="italic">E-mail</label>
                                    <input type="email" class="form-control" id="email"
                                        placeholder="{{ professor?.Email }}" disabled="">
                                </div>

                                <div class="row">
                                    <div class="col-md-6 mb-3">

                                        <!-- Input Titulação -->
                                        <div class="form-group">
                                            <label for="titulacao">Titulação</label>
                                            <input formControlName="titulacao" hidden type="text" class="form-control">
                                            <div class="form-group form-inline">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox"
                                                        class="custom-control-input" id="doutor" [value]="titulacaoDr" (input)="titulacaoDr = $event.target.checked" [checked]="titulacaoDr">
                                                    <label class="custom-control-label" for="doutor">Doutor</label>
                                                </div>
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox"
                                                        class="custom-control-input" id="mestre" [value]="titulacaoMestre" (input)="titulacaoMestre = $event.target.checked" [checked]="titulacaoMestre">
                                                    <label class="custom-control-label" for="mestre">Mestre</label>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    <div class="col-md-6 mb-3">

                                        <!-- Input Lates -->
                                        <div class="form-group">
                                            <label for="lates">Link do currículo Lattes</label>
                                            <div class="input-group">
                                                <input formControlName="lates" type="text" class="form-control"
                                                    id="lates" placeholder="" [value]="lates" [(ngModel)]="lates"
                                                    [ngClass]="{'invalid-form-field': !formOrientador.controls['lates'].valid && formOrientador.controls['lates'].touched}">                                                
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </fieldset>
                            <hr class="mb-4 text-center">
                            <div class="submit-container">
                                <button
                                    class="btn-link btn btn-primary btn-navigate btn-prev btn-lg"
                                    type="submit">Salvar</button>
                            </div>
                        </form>
                    </div>

                    <div class="tab-pane fade" id="nav-grupoPesquisa" role="tabpanel"
                        aria-labelledby="nav-grupoPesquisa-tab">
                        <form [formGroup]="formOrientadorGrupo">
                            <div class="header-title">
                                <button type="button" class="btn info" data-toggle="tooltip" data-placement="bottom"
                                    title="Nesta tela, verifique todos os projetos vinculados a você">
                                    <i class="fas fa-info-circle"></i>
                                </button>
                            </div>
                            <ul class="nav nav-tabs nav-grupo-pesquisa text-center" id="grupoPesquisaTab"
                                role="tablist">
                                <li class="nav-item" *ngFor="let grupo of listaGrupos; let i = index" (click)="loadAreaAtuacao(grupo.Id)"  [ngClass]="{'last-item': i == listaGrupos.length - 1}">
                                    <a class="nav-link" id="ciencia1-tab" data-toggle="tab" href="#ciencia{{ i }}" role="tab"
                                        aria-controls="ciencia1" aria-selected="false">{{grupo?.Nome}}</a>
                                </li>
                            </ul>
                            <div class="col-md-12">
                                <div class="tab-content grupo-pesquisa" id="content-grupo-pesquisa">
                                    
                                    <div class="tab-pane fade" id="ciencia{{ i }}" role="tabpanel"  *ngFor="let grupo of listaGrupos; let i = index"
                                        aria-labelledby="ciencia1-tab">
                                        <fieldset id="conteudo-ciencia{{ j }}" class="mb-3" *ngFor="let item of listaAreaAtuacao; let j = index">
                                            
                                            <div class="custom-control custom-checkbox border-bottom">
                                                <!-- input check-->
                                                <input type="checkbox" class="custom-control-input" id="opcao{{ j }}" [value]="item.Pertence" (input)="item.Pertence = $event.target.checked; populateArrayAreaAtuacao(item.IdAreaAtuacao)" [checked]="item.Pertence">
                                                
                                                <label class="custom-control-label" for="opcao{{ j }}">{{item.AreaAtuacao}}</label>
                                            </div>
                                            
                                        </fieldset>
                                        <div class="submit-container">
                                            <button
                                            class="btn-link btn btn-primary btn-navigate btn-prev btn-lg btn-block btn-submit"
                                            type="submit" (click)="postAreaAtuacaoOrientador()">Salvar</button>
                                        </div>
                                    </div>                                  
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>